cryptol-2.2.6: Cryptol: The Language of Cryptography

Copyright | (c) 2013-2015 Galois, Inc.
License | BSD3
Maintainer | cryptol@galois.com
Stability | provisional
Portability | portable
Safe Haskell | Safe
Language | Haskell98

Cryptol.Parser.NoInclude

Description

# Documentation

removeIncludes :: Program -> IO (Either [IncludeError] Program) Source

removeIncludesModule :: Module -> IO (Either [IncludeError] Module) Source

data IncludeError Source

Constructors

IncludeFailed (Located FilePath) |
IncludeParseError ParseError |
IncludeCycle [Located FilePath] |

Instances

Show IncludeError Source |

ppIncludeError :: IncludeError -> Doc Source